# Get enterprise

`GET https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}`

Returns basic information relevant to the enterprise account.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.account:read`](https://airtable.com/developers/web/api/scopes.md#enterprise-account-read)
- **User role:** Enterprise admin
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `enterpriseAccountId: string`

## Query parameters

- `include: array<"aggregated" | "descendants">` — optional

  If specified, aggregated and/or descendants keys will be included in the response object.
  Otherwise, it will be left out.

## Response format

- `id: string` — required

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `rootEnterpriseAccountId: string` — required

  The ID of this account's root enterprise account. For accounts that are not part of an Enterprise Hub, this is the same as the account's own ID.

- `descendants: object` — optional

  The enterprise account values per descendant enterprise account.
  Only returned when the enterprise account has the Enterprise Hub feature enabled.

  - `[key: string]: object`

    - `groupIds: array<string>` — required

    - `userIds: array<string>` — required

    - `workspaceIds: array<string>` — required

- `descendantEnterpriseAccountIds: array<string>` — required

  A list of descendant org unit's belonging to the enterprise account.

- `emailDomains: array<object>` — required

  A list of email domains associated to the enterprise account.

  - `emailDomain: string` — required

  - `isSsoRequired: boolean` — required

- `groupIds: array<string>` — required

  A list of groups that belong to the enterprise account.

- `userIds: array<string>` — required

  A list of users including all the collaborators of all of the enterprise account's workspaces, bases, and interfaces.

- `workspaceIds: array<string>` — required

  A list of workspaces that are managed by the enterprise account.

- `aggregated: object` — optional

  The aggregated values across the enterprise account and its descendants.
  Only returned when the enterprise account has the Enterprise Hub feature enabled.

  - `groupIds: array<string>` — required

    A list of groups that belong to the enterprise account and its descendants.

  - `userIds: array<string>` — required

    A list of users including all the collaborators with the enterprise account and its descendants.

  - `workspaceIds: array<string>` — required

    A list of workspaces that are managed by the enterprise account and its descendants.

### Example — Example response

```sh
curl "https://api.airtable.com/v0/meta/enterpriseAccounts/{enterpriseAccountId}" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "createdTime": "2019-01-03T12:33:12.421Z",
  "descendantEnterpriseAccountIds": [
    "entJ9ZQ5vz9ZQ5vz9"
  ],
  "emailDomains": [
    {
      "emailDomain": "foobar.com",
      "isSsoRequired": true
    }
  ],
  "groupIds": [
    "ugp1mKGb3KXUyQfOZ",
    "ugpR8ZT9KtIgp8Bh3"
  ],
  "id": "entUBq2RGdihxl3vU",
  "rootEnterpriseAccountId": "entUBq2RGdihxl3vU",
  "userIds": [
    "usrL2PNC5o3H4lBEi",
    "usrsOEchC9xuwRgKk",
    "usrGcrteE5fUMqq0R"
  ],
  "workspaceIds": [
    "wspmhESAta6clCCwF",
    "wspHvvm4dAktsStZH"
  ]
}
```
